## NAME

r.out.ppm - Converts a GRASS raster map to a PPM image file at the pixel resolution of the currently defined region.

## KEYWORDS

raster, export

## SYNOPSIS

r.out.ppm
r.out.ppm help
r.out.ppm [-qG] input=name [output=name] [--verbose] [--quiet]

### Flags:

-q
  Run quietly
-G
  Output greyscale instead of color
--verbose
  Verbose module output
--quiet
  Quiet module output

### Parameters:

input=name
  Name of input raster map
output=name
  Name for new PPM file (use '-' for stdout)
  Default: <rasterfilename>.ppm

## DESCRIPTION

r.out.ppm converts a GRASS raster map into a PPM image at the pixel resolution of the CURRENTLY DEFINED REGION. To get the resolution and region settings of the raster map, run:

    g.region -p rast=[mapname]

before running r.out.ppm.

By default the PPM file created is 24-bit color, rawbits storage. You can use the -G flag to force r.out.ppm to output an 8-bit greyscale instead. The greyscale conversion uses the NTSC conversion:

    Y = .30*Red + .59*Green + .11*Blue

One pixel is written for each cell value, so if `ew_res` and `ns_res` differ, the aspect ratio of the resulting image will be off.

## NOTES

A few ppm file comments are written: the name of the GRASS raster map, resolution, etc. Although these are perfectly legal, I've found one PD image utility that chokes on them, so if you need a commentless PPM file, use '`out=- > outfile.ppm`'. (When sending output to stdout, no comments are written.)

## HINTS

You can create a PNG image with NULL values represented by a transparent background by using the PNG driver with GRASS_TRANSPARENT set to TRUE. Alternatively, you can use the pnmtopng program from netpbm to do this:

    r.out.ppm raster
    pnmtopng -transparent white raster.ppm > raster.png

## SEE ALSO

d.out.png
r.out.ascii
r.out.mpeg
r.out.png
r.out.ppm3
r.out.tiff

## AUTHOR

Bill Brown, UIUC

Last changed: $Date: 2008-05-16 21:09:06 +0200 (pá, 16 V 2008) $

Main index - raster index - Full index

© 2003-2014 GRASS Development Team